Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81466 - Crash mounting partitions in rescue mode (when multiple installs are present)
Summary: Crash mounting partitions in rescue mode (when multiple installs are present)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda
Version: phoebe
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-09 19:29 UTC by Miloslav Trmac
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-23 23:22:33 UTC


Attachments (Terms of Use)

Description Miloslav Trmac 2003-01-09 19:29:44 UTC
Description of problem:
I have RHL 8.0 at /dev/hda6 and Phoebe at /dev/hda2,
in both cases a single root partition. Both share
a swap partition /dev/hda5.
AFAIK are all filesystems without errors.

I booted Phoebe CD with 'linux rescue' and
selected to mount the "red hat linux partitions",
which led to the folowing traceback:

Traceback (most recent call last)
File "/usr/bin/anaconda", line 319, in ?
  rescue.runRescue (rootPath, not rescue_nomount, id)
File "/usr/lib/anaconda/rescue.py", line 130, in runRescue
  for (drive, fs) in disks;
ValueError: unpack tuple of wrong size

Please excuse any typos.

Comment 1 Jeremy Katz 2003-01-12 19:48:47 UTC
Fixed in CVS

Comment 2 Mike McLean 2003-01-23 23:22:33 UTC
Confirmed fix in Phoebe-beta4.  Rescue mode handles multiple installs sanely (it
asks you which one you want).

Comment 3 David Lawrence 2006-04-24 19:13:05 UTC
Adding to blocker bug 185483 and also adding IBM confidential group.

Comment 4 David Lawrence 2006-04-24 19:31:44 UTC
Oops. I am sorry for these changes. I searched on the wrong bug list and
mistakenly made these changes. Removing from blocker bug 185483 and also
removing IBM confidential group.


Note You need to log in before you can comment on or make changes to this bug.